<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package IONA
 * @since IONA 1.0
 */

							// Widgets area inside page content
							iona_create_widgets_area( 'widgets_below_content' );
						
							?>
						</div><!-- /.content -->
						<?php

						// Show main sidebar
						get_sidebar();
						?>
					</div><!-- /.content_wrap -->
					<?php

					// Widgets area below page content and related posts below page content
					$iona_body_style = iona_get_theme_option( 'body_style' );
					$iona_widgets_name = iona_get_theme_option( 'widgets_below_page' );
					$iona_show_widgets = ! iona_is_off( $iona_widgets_name ) && is_active_sidebar( $iona_widgets_name );
					$iona_show_related = is_single() && iona_get_theme_option( 'related_position' ) == 'below_page';
					if ( $iona_show_widgets || $iona_show_related ) {
						if ( 'fullscreen' != $iona_body_style ) {
							?>
							<div class="content_wrap">
							<?php
						}
						// Show related posts before footer
						if ( $iona_show_related ) {
							do_action( 'iona_action_related_posts' );
						}

						// Widgets area below page content
						if ( $iona_show_widgets ) {
							iona_create_widgets_area( 'widgets_below_page' );
						}
						if ( 'fullscreen' != $iona_body_style ) {
							?>
							</div><!-- /.content_wrap -->
							<?php
						}
					}
					?>
			</div><!-- /.page_content_wrap -->
			<?php

			// Don't display the footer elements while actions 'full_post_loading' and 'prev_post_loading'
			if ( ( ! is_singular( 'post' ) && ! is_singular( 'attachment' ) ) || ! in_array ( iona_get_value_gp( 'action' ), array( 'full_post_loading', 'prev_post_loading' ) ) ) {
				
				// Skip link anchor to fast access to the footer from keyboard
				?>
				<a id="footer_skip_link_anchor" class="iona_skip_link_anchor" href="#"></a>
				<?php

				do_action( 'iona_action_before_footer' );

				// Footer
				$iona_footer_type = iona_get_theme_option( 'footer_type' );
				if ( 'custom' == $iona_footer_type && ! iona_is_layouts_available() ) {
					$iona_footer_type = 'default';
				}
				get_template_part( apply_filters( 'iona_filter_get_template_part', "templates/footer-{$iona_footer_type}" ) );

				do_action( 'iona_action_after_footer' );

			}
			?>

		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->

	<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>