<div class="front_page_section front_page_section_woocommerce<?php
	$iona_scheme = iona_get_theme_option( 'front_page_woocommerce_scheme' );
	if ( ! empty( $iona_scheme ) && ! iona_is_inherit( $iona_scheme ) ) {
		echo ' scheme_' . esc_attr( $iona_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( iona_get_theme_option( 'front_page_woocommerce_paddings' ) );
	if ( iona_get_theme_option( 'front_page_woocommerce_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$iona_css      = '';
		$iona_bg_image = iona_get_theme_option( 'front_page_woocommerce_bg_image' );
		if ( ! empty( $iona_bg_image ) ) {
			$iona_css .= 'background-image: url(' . esc_url( iona_get_attachment_url( $iona_bg_image ) ) . ');';
		}
		if ( ! empty( $iona_css ) ) {
			echo ' style="' . esc_attr( $iona_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$iona_anchor_icon = iona_get_theme_option( 'front_page_woocommerce_anchor_icon' );
	$iona_anchor_text = iona_get_theme_option( 'front_page_woocommerce_anchor_text' );
if ( ( ! empty( $iona_anchor_icon ) || ! empty( $iona_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_woocommerce"'
									. ( ! empty( $iona_anchor_icon ) ? ' icon="' . esc_attr( $iona_anchor_icon ) . '"' : '' )
									. ( ! empty( $iona_anchor_text ) ? ' title="' . esc_attr( $iona_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner
	<?php
	if ( iona_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
		echo ' iona-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$iona_css      = '';
			$iona_bg_mask  = iona_get_theme_option( 'front_page_woocommerce_bg_mask' );
			$iona_bg_color_type = iona_get_theme_option( 'front_page_woocommerce_bg_color_type' );
			if ( 'custom' == $iona_bg_color_type ) {
				$iona_bg_color = iona_get_theme_option( 'front_page_woocommerce_bg_color' );
			} elseif ( 'scheme_bg_color' == $iona_bg_color_type ) {
				$iona_bg_color = iona_get_scheme_color( 'bg_color', $iona_scheme );
			} else {
				$iona_bg_color = '';
			}
			if ( ! empty( $iona_bg_color ) && $iona_bg_mask > 0 ) {
				$iona_css .= 'background-color: ' . esc_attr(
					1 == $iona_bg_mask ? $iona_bg_color : iona_hex2rgba( $iona_bg_color, $iona_bg_mask )
				) . ';';
			}
			if ( ! empty( $iona_css ) ) {
				echo ' style="' . esc_attr( $iona_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$iona_caption     = iona_get_theme_option( 'front_page_woocommerce_caption' );
			$iona_description = iona_get_theme_option( 'front_page_woocommerce_description' );
			if ( ! empty( $iona_caption ) || ! empty( $iona_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $iona_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $iona_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $iona_caption, 'iona_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description (text)
				if ( ! empty( $iona_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $iona_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $iona_description ), 'iona_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
				<?php
				$iona_woocommerce_sc = iona_get_theme_option( 'front_page_woocommerce_products' );
				if ( 'products' == $iona_woocommerce_sc ) {
					$iona_woocommerce_sc_ids      = iona_get_theme_option( 'front_page_woocommerce_products_per_page' );
					$iona_woocommerce_sc_per_page = count( explode( ',', $iona_woocommerce_sc_ids ) );
				} else {
					$iona_woocommerce_sc_per_page = max( 1, (int) iona_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
				}
				$iona_woocommerce_sc_columns = max( 1, min( $iona_woocommerce_sc_per_page, (int) iona_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
				echo do_shortcode(
					"[{$iona_woocommerce_sc}"
									. ( 'products' == $iona_woocommerce_sc
											? ' ids="' . esc_attr( $iona_woocommerce_sc_ids ) . '"'
											: '' )
									. ( 'product_category' == $iona_woocommerce_sc
											? ' category="' . esc_attr( iona_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
											: '' )
									. ( 'best_selling_products' != $iona_woocommerce_sc
											? ' orderby="' . esc_attr( iona_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
												. ' order="' . esc_attr( iona_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
											: '' )
									. ' per_page="' . esc_attr( $iona_woocommerce_sc_per_page ) . '"'
									. ' columns="' . esc_attr( $iona_woocommerce_sc_columns ) . '"'
					. ']'
				);
				?>
			</div>
		</div>
	</div>
</div>
