<?php
/**
 * Template for displaying the title of the single course.
 *
 * @package IONA
 * @since IONA 1.0.62
 */

/**
 * Prevent loading this file directly
 */
defined( 'ABSPATH' ) || exit();

$iona_course_id = get_the_ID();
$iona_course    = learn_press_get_course( $iona_course_id );
?>
<div class="entry-header lp_single_course_header">
    <h2 class="entry-title lp_single_course_title">
        <?php echo esc_html( $iona_course->get_title() ); ?>
    </h2>
</div>
