/* global jQuery, IONA_STORAGE */

(function() {
	"use strict";

	// Init skin-specific actions on first run
	// Attention! Don't forget to add the class "inited" and check it to prevent re-initialize the elements
	jQuery( document ).on(
		'action.ready_iona', function() {

			/* Disable Woocommerce Button */

			if (jQuery('.wpcf7-acceptance input[type="checkbox"], .mc4wp-form input[type="checkbox"] ').length > 0) {
				jQuery('.wpcf7-acceptance input[type="checkbox"], .mc4wp-form input[type="checkbox"] ')
					.addClass('inited')
					.on('change', function(e) {
						if (jQuery(this).get(0).checked)
							jQuery(this).parents('form').find('button,input[type="submit"]').removeAttr('disabled');
						else
							jQuery(this).parents('form').find('button,input[type="submit"]').attr('disabled', 'disabled');
					}).trigger('change');
			}


			// Add Classes
			// Blog archive classes
			// Post button styles

			jQuery('.post_item .more-link').addClass('sc_button sc_button_simple sc_button_size_normal').removeClass('more-link');

			jQuery('.comments_list_wrap .comment_footer .comment-reply-link').addClass('sc_button sc_button_simple sc_button_size_normal');
			jQuery('.comments_wrap .form-submit input.submit').wrap('<span class="sc_button sc_button_simple sc_button_size_large"></span>');




			// Post gallery styles
			jQuery('.blog_style_excerpt.trx_addons_present .post_format_gallery .slider_pagination_pos_bottom').addClass('slider_pagination_pos_right').removeClass('slider_pagination_pos_bottom');
			jQuery('.blog_style_excerpt.trx_addons_present .post_format_gallery .slider_outer_pagination_pos_bottom').addClass('slider_outer_pagination_pos_right').removeClass('slider_outer_pagination_pos_bottom');
			jQuery('.blog_style_excerpt.trx_addons_present .post_format_gallery .slider_outer').addClass('slider_outer_overflow_visible');
			jQuery('.blog_style_excerpt.trx_addons_present .post_format_gallery .slider_container').addClass('slider_overflow_visible');



			jQuery(' #review_form #respond p.form-submit input[type="submit"]').wrap('<span class="sc_button sc_button_simple sc_button_size_large"></span>');



			/* Woocommerce  */
			jQuery(document).on( 'click', '.yith-wcqv-button', function(e){
				setTimeout(function() {
					jQuery( '#yith-quick-view-modal .yith-wcqv-head').addClass( 'theme_button_close' );
					jQuery( '#yith-quick-view-modal .yith-wcqv-close').addClass( 'theme_button_close_icon' );
			        jQuery('#yith-quick-view-modal select').wrap('<div class="select_container"></div>');
			        // On first run
					if (jQuery( 'div.quantity .q_inc' ).length === 0) {
						var woocomerce_inc_dec = '<span class="q_inc"></span><span class="q_dec"></span>';
						jQuery( '.woocommerce div.quantity,.woocommerce-page div.quantity' ).append( woocomerce_inc_dec );
						jQuery( '.woocommerce div.quantity,.woocommerce-page div.quantity' ).on(
							'click', '>span', function(e) {
								iona_woocomerce_inc_dec_click( jQuery( this ) );
								e.preventDefault();
								return false;
							}
						);
					}

			    }, 1000);
		    });

		}
	);

})();
