<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package IONA
 * @since IONA 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$iona_copyright_scheme = iona_get_theme_option( 'copyright_scheme' );
if ( ! empty( $iona_copyright_scheme ) && ! iona_is_inherit( $iona_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $iona_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$iona_copyright = iona_get_theme_option( 'copyright' );
			if ( ! empty( $iona_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$iona_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $iona_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$iona_copyright = iona_prepare_macros( $iona_copyright );
				// Display copyright
				echo wp_kses( nl2br( $iona_copyright ), 'iona_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
