<?php
/**
 * The template to display default site footer
 *
 * @package IONA
 * @since IONA 1.0.10
 */

?>
<footer class="footer_wrap footer_default
<?php
$iona_footer_scheme = iona_get_theme_option( 'footer_scheme' );
if ( ! empty( $iona_footer_scheme ) && ! iona_is_inherit( $iona_footer_scheme  ) ) {
	echo ' scheme_' . esc_attr( $iona_footer_scheme );
}
?>
				">
	<?php

	// Footer widgets area
	get_template_part( apply_filters( 'iona_filter_get_template_part', 'templates/footer-widgets' ) );

	// Logo
	get_template_part( apply_filters( 'iona_filter_get_template_part', 'templates/footer-logo' ) );

	// Socials
	get_template_part( apply_filters( 'iona_filter_get_template_part', 'templates/footer-socials' ) );

	// Menu
	get_template_part( apply_filters( 'iona_filter_get_template_part', 'templates/footer-menu' ) );

	// Copyright area
	get_template_part( apply_filters( 'iona_filter_get_template_part', 'templates/footer-copyright' ) );

	?>
</footer><!-- /.footer_wrap -->
