<?php
$args = get_query_var('trx_addons_args_search');

?>
<div class="search_wrap search_style_<?php echo esc_attr($args['style']);
		if (!empty($args['ajax'])) echo ' search_ajax';
		if (!empty($args['class'])) {echo ' '.esc_attr($args['class']);}

	?>">
	
	<div class="search_form_wrap">
		<?php			
			if ('fullscreen' == $args['style']) {
				$iona_args = get_query_var( 'iona_logo_args' );

				// Site logo
				$iona_logo_type   = isset( $iona_args['type'] ) ? $iona_args['type'] : '';
				$iona_logo_image  = iona_get_logo_image( $iona_logo_type );
				$iona_logo_text   = iona_is_on( iona_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
				$iona_logo_slogan = get_bloginfo( 'description', 'display' );
				if ( ! empty( $iona_logo_image['logo'] ) || ! empty( $iona_logo_text ) ) {
					?><div class="search_style_fullscreen_logo">
						<?php
						if ( ! empty( $iona_logo_image['logo'] ) ) {
							if ( empty( $iona_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric( $iona_logo_image['logo'] ) && (int)$iona_logo_image['logo'] > 0 ) {
								the_custom_logo();
							} else {
								$iona_attr = iona_getimagesize( $iona_logo_image['logo'] );
								echo '<img src="' . esc_url( $iona_logo_image['logo'] ) . '"'
										. ( ! empty( $iona_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $iona_logo_image['logo_retina'] ) . ' 2x"' : '' )
										. ' alt="' . esc_attr( $iona_logo_text ) . '"'
										. ( ! empty( $iona_attr[3] ) ? ' ' . wp_kses_data( $iona_attr[3] ) : '' )
										. '>';
							}
						} else {
							iona_show_layout( iona_prepare_macros( $iona_logo_text ), '<span class="logo_text">', '</span>' );
							iona_show_layout( iona_prepare_macros( $iona_logo_slogan ), '<span class="logo_slogan">', '</span>' );
						}
						?>
					</div>
					<?php
				}
			}
		?>
		<form role="search" method="get" class="search_form" action="<?php echo esc_url(home_url('/')); ?>">
			<input type="hidden" value="<?php
				if (!empty($args['post_types'])) {
					echo esc_attr( is_array($args['post_types']) ? join(',', $args['post_types']) : $args['post_types'] );
				}
			?>" name="post_types">
			<input type="text" class="search_field" placeholder="<?php esc_attr_e('Type words and hit enter', 'iona'); ?>" value="<?php echo esc_attr(get_search_query()); ?>" name="s">
			<button type="submit" class="search_submit trx_addons_icon-search"></button>
			
		</form>
		<?php if ($args['style'] == 'fullscreen') { ?>
				<!-- <a class="search_close trx_addons_icon-delete"></a> -->
				<a class="theme_button_close search_close"><span class="theme_button_close_icon"></span></a>
		<?php } ?>
	</div>
	<?php
	if (!empty($args['ajax'])) {
		?><div class="search_results widget_area"><a href="#" class="search_results_close trx_addons_icon-cancel"></a><div class="search_results_content"></div></div><?php
	}
	?>
</div>