<div class="front_page_section front_page_section_team<?php
	$iona_scheme = iona_get_theme_option( 'front_page_team_scheme' );
	if ( ! empty( $iona_scheme ) && ! iona_is_inherit( $iona_scheme ) ) {
		echo ' scheme_' . esc_attr( $iona_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( iona_get_theme_option( 'front_page_team_paddings' ) );
	if ( iona_get_theme_option( 'front_page_team_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$iona_css      = '';
		$iona_bg_image = iona_get_theme_option( 'front_page_team_bg_image' );
		if ( ! empty( $iona_bg_image ) ) {
			$iona_css .= 'background-image: url(' . esc_url( iona_get_attachment_url( $iona_bg_image ) ) . ');';
		}
		if ( ! empty( $iona_css ) ) {
			echo ' style="' . esc_attr( $iona_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$iona_anchor_icon = iona_get_theme_option( 'front_page_team_anchor_icon' );
	$iona_anchor_text = iona_get_theme_option( 'front_page_team_anchor_text' );
if ( ( ! empty( $iona_anchor_icon ) || ! empty( $iona_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_team"'
									. ( ! empty( $iona_anchor_icon ) ? ' icon="' . esc_attr( $iona_anchor_icon ) . '"' : '' )
									. ( ! empty( $iona_anchor_text ) ? ' title="' . esc_attr( $iona_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_team_inner
	<?php
	if ( iona_get_theme_option( 'front_page_team_fullheight' ) ) {
		echo ' iona-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$iona_css      = '';
			$iona_bg_mask  = iona_get_theme_option( 'front_page_team_bg_mask' );
			$iona_bg_color_type = iona_get_theme_option( 'front_page_team_bg_color_type' );
			if ( 'custom' == $iona_bg_color_type ) {
				$iona_bg_color = iona_get_theme_option( 'front_page_team_bg_color' );
			} elseif ( 'scheme_bg_color' == $iona_bg_color_type ) {
				$iona_bg_color = iona_get_scheme_color( 'bg_color', $iona_scheme );
			} else {
				$iona_bg_color = '';
			}
			if ( ! empty( $iona_bg_color ) && $iona_bg_mask > 0 ) {
				$iona_css .= 'background-color: ' . esc_attr(
					1 == $iona_bg_mask ? $iona_bg_color : iona_hex2rgba( $iona_bg_color, $iona_bg_mask )
				) . ';';
			}
			if ( ! empty( $iona_css ) ) {
				echo ' style="' . esc_attr( $iona_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_team_content_wrap content_wrap">
			<?php
			// Caption
			$iona_caption = iona_get_theme_option( 'front_page_team_caption' );
			if ( ! empty( $iona_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_team_caption front_page_block_<?php echo ! empty( $iona_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $iona_caption, 'iona_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$iona_description = iona_get_theme_option( 'front_page_team_description' );
			if ( ! empty( $iona_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_team_description front_page_block_<?php echo ! empty( $iona_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $iona_description ), 'iona_kses_content' ); ?></div>
				<?php
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_team_output">
				<?php
				if ( is_active_sidebar( 'front_page_team_widgets' ) ) {
					dynamic_sidebar( 'front_page_team_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! iona_exists_trx_addons() ) {
						iona_customizer_need_trx_addons_message();
					} else {
						iona_customizer_need_widgets_message( 'front_page_team_caption', 'ThemeREX Addons - Team' );
					}
				}
				?>
			</div>
		</div>
	</div>
</div>
