<?php
/**
 * The template to display default site footer
 *
 * @package IONA
 * @since IONA 1.0.10
 */

$iona_footer_id = iona_get_custom_footer_id();
$iona_footer_meta = get_post_meta( $iona_footer_id, 'trx_addons_options', true );
if ( ! empty( $iona_footer_meta['margin'] ) ) {
	iona_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( iona_prepare_css_value( $iona_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $iona_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $iona_footer_id ) ) ); ?>
						<?php
						$iona_footer_scheme = iona_get_theme_option( 'footer_scheme' );
						if ( ! empty( $iona_footer_scheme ) && ! iona_is_inherit( $iona_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $iona_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'iona_action_show_layout', $iona_footer_id );
	?>
</footer><!-- /.footer_wrap -->
