<?php
/**
 * The template to display the background video in the header
 *
 * @package IONA
 * @since IONA 1.0.14
 */
$iona_header_video = iona_get_header_video();
$iona_embed_video  = '';
if ( ! empty( $iona_header_video ) && ! iona_is_from_uploads( $iona_header_video ) ) {
	if ( iona_is_youtube_url( $iona_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $iona_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php iona_show_layout( iona_get_embed_video( $iona_header_video ) ); ?></div>
		<?php
	}
}
